Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.core.symbol.nullvalue
Enum NullValues.NullValueDegree

    java.lang.Object
      java.lang.Enum<NullValues.NullValueDegree>
          org.maltparser.core.symbol.nullvalue.NullValues.NullValueDegree

All Implemented Interfaces:
  Serializable, Comparable<NullValues.NullValueDegree>

Enclosing class:
  NullValues

    protected static enum NullValues.NullValueDegree

extends Enum<NullValues.NullValueDegree>

Enum Constant Summary
`NONE`
`NOVALUE`
`ONE`
`ROOTNODE`

Method Summary
`static NullValues.NullValueDegree` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NullValues.NullValueDegree[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final NullValues.NullValueDegree NONE

### ONE

    public static final NullValues.NullValueDegree ONE

### ROOTNODE

    public static final NullValues.NullValueDegree ROOTNODE

### NOVALUE

    public static final NullValues.NullValueDegree NOVALUE

Method Detail

### values

    public static NullValues.NullValueDegree[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NullValues.NullValueDegree c : NullValues.NullValueDegree.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NullValues.NullValueDegree valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.